JUnit4.11にしたら、Hamcrestが無いってエラーが出たよ・・・

  • 4
    Like
  • 1
    Comment
More than 1 year has passed since last update.

JUnit4.11 でなぜか、ClassNotFoundエラー。

org/hamcrest/SelfDescribing

ここらあたりから、hamcrest-coreのJarファイルをダウンロードしてライブラリに入れてあげて下さい。
https://code.google.com/p/hamcrest/

Gradleとか使ってれば、自動的に依存は解決してくれると思いますが、
レガシーなやつをJUnit4.11とか最新の環境を使ってテストしてる人は一度お試しあれ。